=== debian/changelog ===
kubuntu-default-settings (1:8.10-13) intrepid; urgency=low

  [ Ryan Kavanagh ]
  * Set the default deck in lskat and kpat to the Oxygen White (SVG).
    (LP: #277193, #277909)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 14 Oct 2008 16:17:11 -0400

kubuntu-default-settings (1:8.10-12) intrepid; urgency=low

  * Fix typo in kickoffrc (made Kontact unstartable)
  * Add new branding for kickoff (thanks to kwwii!)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 14 Oct 2008 15:15:59 +0200

kubuntu-default-settings (1:8.10-11) intrepid; urgency=low

  * Better background colour in kdeglobals, from apachelogger
  * Replace kubuntuColours.kcsrc with Kubuntu.colors for KDE 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Oct 2008 17:21:55 +0100

kubuntu-default-settings (1:8.10-10) intrepid; urgency=low

  * Add kickoffrc for default favorites

 -- Harald Sitter <apachelogger@ubuntu.com>   Wed, 08 Oct 2008 18:11:25 +0200

kubuntu-default-settings (1:8.10-9) intrepid; urgency=low

  [ Jonathan Riddell ]
  * Set sizerule=3 in kwinrulesrc, fixes maximise button not showing

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 28 Sep 2008 20:25:21 +0200

kubuntu-default-settings (1:8.10-8) intrepid; urgency=low

  * laptop-buttons/kubuntu.xmodmap: Removed "keycode 118 = XF86Music", it's now used by
    Xorg for the Insert key
  * Add branding.svg used by kickoff

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 24 Sep 2008 19:27:23 +0200

kubuntu-default-settings (1:8.10-7) intrepid; urgency=low

  * Add kde-rc-files/kwinrulesrc from Celeste to set default size of
    various application windows

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Sep 2008 01:04:24 +0100

kubuntu-default-settings (1:8.10-6) intrepid; urgency=low

  [ Harald Sitter ]
  * Make Konqueror not identify as firefox, so that GMail directs to the HTML
    interface, which can be rendered properly. (LP: #256039, #178827)
  * Initialise Java properly. (LP: #138736)

  [ Jonathan Riddell ]
  * Turn on cover switcher in kwinrc
	
 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 19 Sep 2008 15:46:51 +0200

kubuntu-default-settings (1:8.10-5) intrepid; urgency=low

  * Update gtk-qt-engine-rc-files for Qt 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Sep 2008 13:19:16 +0100

kubuntu-default-settings (1:8.10-4) intrepid; urgency=low

  * kdeglobals doesn't seem to work in our profile dir, also put a copy in /etc/kde4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Sep 2008 12:43:57 +0100

kubuntu-default-settings (1:8.10-3) intrepid; urgency=low

  [ Jonathan Thomas ]
  * Add SwitchTabsOnHover setting in plasma-appletsrc to the right config 
    section
  * Add default shortcuts for switching desktops. (LP: #212796)
  * Turn kblank screensaver on by default. (LP: #108355)
  * Remove the Oxygen Konversation nicklist theme, which is included in 
    upstream now.

  [ Jonathan Riddell ]
  * Set text alongside icons
  * Lighter background colour

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Wed, 06 Aug 2008 21:15:20 -0400

kubuntu-default-settings (1:8.10-2) intrepid; urgency=low

  * Change some keycodes in kubuntu.xmodmap, Qt can't use
    XF86LaunchE for no apparant reason

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2008 20:45:10 +0100

kubuntu-default-settings (1:8.10-1) intrepid; urgency=low

  [ Jonathan Thomas ]
  * Place contents of kde4/ in the root directory, move kde3 equivalents 
    to kde3/
  * Add new plasma-appletsrc
  * Removed Kicker stuff from the Makefile

  [ Jonathan Riddell ]
  * Add laptop-buttons files for xmodmap

  [ Harald Sitter ]
  * Migrate KDE 3 configurations to KDE 4
    + kontactrc
    + ktiprc
    + yakuakerc
    + kgpgrc
    + kbookmarkrc
    + klaunchrc
    + khelpcenterrc
    + knotesrc
    + kmailrc
    + korgacrc
  * Switch Oxygen theming to original instead of using these horrible lines
  * Bump Standars-Version from 3.7.3 to 3.8.0
  * Use Oxygen icon spec on kde-hidden
  * Removed artwork:
    + kubuntu-panel
    + kubuntu-kmenu-side(-tile)
    + metabar
    + kubuntu-konqueror-background(-classic)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 07 Jul 2008 11:59:06 +0200
