=== debian/changelog ===
kubuntu-default-settings (1:9.04.26) jaunty; urgency=low

  * Have kubuntu-artwork-usplash provide usplash-theme so usplash-theme-ubuntu
    is not pulled onto the Kubuntu CD

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Apr 2009 21:44:33 -0400

kubuntu-default-settings (1:9.04.25) jaunty; urgency=low

  * Remove KDE3 widget style definition in kde3/kdeglobals, we no longer use
    it by default plus it causes issues (LP: #281016)
  * Remove KDE3 amarok artwork since amarok is now KDE4.
  * Remove various kde-rc-files of KDE3 apps that have been replaced with KDE4
    ones

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Apr 2009 21:31:32 -0400

kubuntu-default-settings (1:9.04.24) jaunty; urgency=low

  * Re-add kickoffrc, it is still used for favorite/recently used apps

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Apr 2009 21:31:32 -0400

kubuntu-default-settings (1:9.04.23) jaunty; urgency=low

  * usplash/usplash-theme-kubuntu.c, t_animate_step_{16,32}: Use the correct
    image's width for calculating the number of pulsating steps. Previously,
    this triggered integer, and thus buffer overflows, which caused screen
    corruption and sometimes complete corruption of the VTs. (LP: #345269)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Mar 2009 22:11:47 +0100

kubuntu-default-settings (1:9.04.22) jaunty; urgency=low

  [ Aurélien Gâteau ]
  * add kconf_update/kubuntu-fix-kwin-default-size.upd to fix broken
    window size rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Mar 2009 17:20:18 +0000

kubuntu-default-settings (1:9.04.21) jaunty; urgency=low

  * Fixed kglobalshortcutsrc:
    - Added action switch to next Desktop to ctrl+alt+right
    - Added action switch to previous Desktop to ctrl+alt+left

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 19 Mar 2009 13:02:06 +0100

kubuntu-default-settings (1:9.04.20) jaunty; urgency=low

  * Add missing files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 23:13:38 +0000

kubuntu-default-settings (1:9.04.19) jaunty; urgency=low

  [ Jonathan Riddell ]
  * Revert plasma-appletsrc back to (near) empty version, 
    it wrongly reappeared again

  [ Anthony Mercatante ]
  * Added digikamrc, to disable the tip of the day 

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 18 Mar 2009 21:57:39 +0100

kubuntu-default-settings (1:9.04.18) jaunty; urgency=low

  * New usplash from Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 16:02:49 +0000

kubuntu-default-settings (1:9.04.17) jaunty; urgency=low

  * Disabled Nepomuk for now

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Wed, 18 Mar 2009 11:57:57 +0100

kubuntu-default-settings (1:9.04.16) jaunty; urgency=low

  * Set plasma defaults in kdebase-workspace not here, closes LP: #309419

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 00:04:34 +0000

kubuntu-default-settings (1:9.04.15) jaunty; urgency=low

  * Replaced gtk-qt-engines stuff by gtk2-engines-qtcurve stuff 

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 14 Mar 2009 18:58:55 +0100

kubuntu-default-settings (1:9.04.14) jaunty; urgency=low

  [ Jonathan Thomas ]
  * Always ask to restore konqueror session to prevent infinite crash loops
  * Add a Vcs-Bzr: field to debian/control so that people can actually be expected
    to know that this is in bzr.

  [ Alessandro Ghersi ]
  * Merge usplash/usplash-theme-kubuntu.c with Ubuntu, usplash theme is stretched
    vertically (instead of horizontally) (LP: #339386)

  [ Guillaume Martres ]
  * Removed kpatrc, hardcoding the default card theme is no longer needed and
    prevent users from getting the new KDE 4.2 theme as default

 -- Guillaume Martres <smarter@ubuntu.com>  Sun, 08 Mar 2009 19:20:36 +0100

kubuntu-default-settings (1:9.04.13) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #6417 for details.
  * debian/control: bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 22:32:27 +0100

kubuntu-default-settings (1:9.04.12) jaunty; urgency=low

  * Set no hover on kickoff tabs, now in plasma-appletsrc not kickoffrc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Feb 2009 15:13:41 +0000

kubuntu-default-settings (1:9.04.11) jaunty; urgency=low

  * kglobalshortcutsrc: set media keys as shortcuts in Amarok

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2009 21:54:46 +0000

kubuntu-default-settings (1:9.04.10) jaunty; urgency=low

  * amarokrc: turn off on screen display by default
  * konquerorrc: make Google default search engine, currently is Google Lucky
  * konquerorrc: Restore session when konqueror didn't close correctly=true (stop asking excessive questions)
  * kdeglobals: confirmNewSession=false, don't show overly verbose and technical dialogue when changing user

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2009 18:09:13 +0000

kubuntu-default-settings (1:9.04.9) jaunty; urgency=low

  * Fixed kopeterc, changed default behavior to "online" so
    that connection works dynamically with kded network status 

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 14 Feb 2009 17:13:43 +0100

kubuntu-default-settings (1:9.04.8) jaunty; urgency=low

  * Fixed kwinrc, disabling UnredirectFullscreen:
    - Closes LP: #327199

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 09 Feb 2009 17:15:45 +0100

kubuntu-default-settings (1:9.04.7) jaunty; urgency=low

  * Added KPackageKit default settings.
  * Fixed Makefile so that it gets installed (name of the file
    not ending with "rc")

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 05 Feb 2009 14:22:01 +0100

kubuntu-default-settings (1:9.04.6) jaunty; urgency=low

  * Fixed network manager plasmoid name in plasma-appletsrc.
    name changed upstream.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 04 Feb 2009 14:24:55 +0100

kubuntu-default-settings (1:9.04.5) jaunty; urgency=low


