=== debian/changelog ===
kubuntu-default-settings (1:9.10.18ubuntu28) karmic; urgency=low

  * Remove Popup on desktop switch from kwinrc, it is unpopular and exposes
    bugs in the Window Behavior KCM

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 14 Oct 2009 11:20:16 -0400

kubuntu-default-settings (1:9.10.18ubuntu27) karmic; urgency=low

  * One last fix for arora gestures:
    - match for window class in order not to apply with other windows

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 13 Oct 2009 17:04:05 +0200

kubuntu-default-settings (1:9.10.18ubuntu26) karmic; urgency=low

  * Fixed import template for arora gestures, to avoid reimporting at
    every boot.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 13 Oct 2009 14:36:01 +0200

kubuntu-default-settings (1:9.10.18ubuntu25) karmic; urgency=low

  * Update google_kubuntu.desktop with new URL from LP: #443335

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Oct 2009 16:06:07 +0100

kubuntu-default-settings (1:9.10.18ubuntu24) karmic; urgency=low

  * Added mouse gestures for Arora, disabled by default.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 07 Oct 2009 20:04:47 +0200

kubuntu-default-settings (1:9.10.18ubuntu23) karmic; urgency=low

  * Install search file in kubuntu-default-settings.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2009 15:28:24 +0100

kubuntu-default-settings (1:9.10.18ubuntu22) karmic; urgency=low

  * Add google_kubuntu.desktop search provider for Ubuntu search,
    closes LP: #443335

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2009 15:14:01 +0100

kubuntu-default-settings (1:9.10.18ubuntu21) karmic; urgency=low

  * Add kbluetoothrc with temporary workaround for initial kbluetooth
    dialogue

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Sep 2009 14:32:51 +0100

kubuntu-default-settings (1:9.10.18ubuntu20) UNRELEASED; urgency=low

  * Return of the default kwallet

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Sep 2009 07:05:18 +0200

kubuntu-default-settings (1:9.10.18ubuntu19) karmic; urgency=low

  * Add emoticons.xml for Oxygen emoticons
  * Link the emotes folder from the Oxygen icons path to the emoticons dir\
  * Make Oxygen emoticons default via kdeglobals
  * Port package build system to dh 7
  * Nuke cdbs
  * Bump standards versin to 3.8.3
  * Nuke KDE 3 stuff
  * Move installation of non-usplash stuff from Makefile to dh_install
  * Change versioning scheme to make lintian and dch happier for 10.04 a scheme
    such as 1:10.04ubuntu1 < 1:10.04ubuntu2 etc. is to be used
  * Revise source directory structure
  * Cleanup copyright file
  * Remove search bar from dolphin (no nepomuk by default)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Sep 2009 23:27:22 +0200

kubuntu-default-settings (1:9.10.18) karmic; urgency=low

  * Compress using LZMA
  * Set Konqueror's home URL to kubuntu.org
  * Show tray icons of Kopete and Konversation again
    + at this point we only agreed to add the indecator applet so that GNOME
      apps that would expect it, can nicely integrate into KDE
    + upon upgrade the applet is not added to Plasma and thus in the current
      implementation state cause issues
    + also see 'indicator applet after upgrade' thread on kubuntu-devel

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Sep 2009 13:53:25 +0200

kubuntu-default-settings (1:9.10.17) karmic; urgency=low

  * Fixed konversationrc for logpath to work:
    - avoids this dirty $HOME folder at the user's home root

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 01 Sep 2009 20:39:51 +0200

kubuntu-default-settings (1:9.10.16) karmic; urgency=low

  [ Jonathan Riddell ]
  * Change kopete settings for message indicator, add kopete.notifyrc
    and hide systray in kopeterc

  [ Harald Sitter ]
  * Add kiobookmarksrc to don't show the places entries (as 
    seen in Dolphin) <= Konqueror is not used as file browser

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 23 Aug 2009 19:03:21 +0200

kubuntu-default-settings (1:9.10.15) karmic; urgency=low

  * Unset Arora as default browser (per voting at Kubuntu meeting)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 22 Aug 2009 17:50:24 +0200

kubuntu-default-settings (1:9.10.14) karmic; urgency=low

  * Turn on popup notification in KMail (LP: #108744) 

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 18 Aug 2009 23:13:25 +0200

kubuntu-default-settings (1:9.10.13) karmic; urgency=low

  [ Jonathan Thomas ]
  * Fix the logpath setting for konversation. (LP: #410163)
  * Also remove redundant setting of the now-default oxygen nicklist theme in
    konversationrc.

  [ Harald Sitter ]
  * Add kpackagkit to kickoff's system applications (computer tab) (LP: #408107)

  [ Jonathan Riddell ]
  * Turn off tray icon in konversation now we have message indicator

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Aug 2009 17:19:20 +0100

kubuntu-default-settings (1:9.10.12) karmic; urgency=low

  * Fixed FTBFS due to kaffeine files installed within Makefile

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 05 Aug 2009 16:18:52 +0200

kubuntu-default-settings (1:9.10.11) karmic; urgency=low

  [ Harald Sitter ]
  * KDE 3:
    - remove kaffeine icons
    - remove configs for kaffeine, k3b, konversation, kuriikwsfilter, knemo,
      kmplayer
    - remove all artwork
  * Remove unused artwork/desktoptheme (slimglow)

  [ Jonathan Thomas ]
  * Port konversationrc to KDE4

  [ Jonathan Riddell ]
  * Turn off Tip of the Day on KMail

  [ Anthony Mercatante ]
  * Fixed kopeterc :
    - Displays contact icon by default

  [ Kenneth Wimer ]
  * Fixing usplash config to fix crashes with SIGSEGV in memset_var() - related
    to #401432 from ubuntu

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 05 Aug 2009 11:08:49 +0200

kubuntu-default-settings (1:9.10.10) karmic; urgency=low

  * Don't install kdeglobals to /etc/kde4 (previously introduced workaround),
    it appears that now the settings get applied from the profile as well.

