=== debian/control ===
Source: kubuntu-default-settings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), libusplash-dev (>= 0.5.30)
Standards-Version: 3.8.3
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-default-settings/ubuntu

Package: kubuntu-default-settings
Architecture: all
Depends: ${misc:Depends}, python
Description: Default settings and artwork for the Kubuntu desktop
 This package contains the default settings used by Kubuntu. It also
 includes artwork and Kubuntu branding.

Package: kubuntu-artwork-usplash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30),
 usplash (>= 0.5-30)
Provides: usplash-theme
Description: Kubuntu artwork for usplash
 The usplash startup screen for Kubuntu.
