## kubuntu-default-settings 9.10.18ubuntu29

=== Makefile ===
build:
	make -C usplash

clean:
	make -C usplash clean

install:
	make -C usplash install
