=== debian/changelog ===
kubuntu-default-settings (1:9.10.18ubuntu29) karmic-proposed; urgency=low

  * Update google_kubuntu.desktop with URL from Ubuntu Desktop, 
    closes LP: #468458

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Nov 2009 15:00:16 +0000
