## kubuntu-default-settings 10.04ubuntu23

=== debian/changelog ===
kubuntu-default-settings (1:10.04ubuntu23) lucid; urgency=low

  * Remove the nepomukserverrc. In the abscence of a key in a user's
    nepomukserverrc, KConfig takes the config set here over the default
    given in the code.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 16 Apr 2010 10:37:44 -0400

kubuntu-default-settings (1:10.04ubuntu22) lucid; urgency=low

  * Drop kubuntu.menu introduced in ubutnu19, it breaks the classic menu,
    so I suppose we need to fix plasma after all.

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 15 Apr 2010 12:09:45 +0200

kubuntu-default-settings (1:10.04ubuntu21) lucid; urgency=low

  [ Alberto Milone ]
  * kubuntu-logo: accept a format string from mountall for the disk check
    progress, so that localization is possible.  LP: #553954.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Apr 2010 01:26:11 +0000

kubuntu-default-settings (1:10.04ubuntu20) lucid; urgency=low

  [ Harald Sitter ]
  * Add final newline to kubunt-default-settings.dirs

  [ Jonathan Riddell ]
  * Update cubecap.png for new logo
  * Update 01-kubuntu-default-setup.js to show date in clock

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 14 Apr 2010 13:32:08 +0200

kubuntu-default-settings (1:10.04ubuntu19) lucid; urgency=low

  * Add a kubuntu.menu file in the standard XDG merge path. This allows us
    to control menu content without actually patching the main menu file.
    + Please note that this *only* affects the menu. The excluded entries will
      still show up in KRunner and the like.
  * Use aforementioned menu file to get rid off systemsettings from the menu,
    the plasma implementation is failing to do it properly (LP: #553478)
  * Remove kglobalshortcutsrc:
    + Amarok shortcut changes break compability with upstream, with previous
      releases and with keyboards that have no media keys (chances are higher
      you got a windows key than fancy media keys) LP: #560773
    + The KWin shortcuts do not work (as per some bug report we won'tfixed
      because upstream thinks kwin uses too many shortcuts already and app devs
      are in a bit of a problem thus)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Apr 2010 12:18:40 +0200

kubuntu-default-settings (1:10.04ubuntu18) lucid; urgency=low

  * Revert mistaken kubuntu-logo replacement

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 10 Apr 2010 08:46:23 -0400

kubuntu-default-settings (1:10.04ubuntu17) lucid; urgency=low

  * Fix bug in 02-kubuntu-menu-icon.js that prevents execution

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 10 Apr 2010 11:51:18 +0200

kubuntu-default-settings (1:10.04ubuntu16) lucid; urgency=low

  [ Harald Sitter ]
  * Add plasma-desktop update script 02-kubuntu-menu-icon.js to migrate
    from wrongly named kubuntu-menu to start-here-kubuntu icon (LP: #559725)
    + This requires a configChanged() interface to be implemented in kickoff

  [ Ryan Kavanagh ]
  * Updated the plymouth-theme-kubuntu-logo logo with the new logo (we've got
    a pretty K now). (LP: #557220)

  [ Steve Langasek ]
  * Sync up the plymouth theme script with the version in ubuntu-logo, fixing
    a number of text display bugs.  The only remaining delta is the background
    color, and the logo name.  LP: #557102.

 -- Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>  Fri, 09 Apr 2010 21:23:53 -0400

kubuntu-default-settings (1:10.04ubuntu15) lucid; urgency=low

  [ Harald Sitter ]
  * Migrate indicatordisplay plasmoid to message-indicator in plasma updates
  * Unlock widgets before executing plasma update, re-lock afterwards
  * Reduce size of branding logo in plasma theme (LP: #554039)
  * Deactivate stupid and ugly choqok splash screen via choqokrc
  * Via dh_link link default plasma theme to oxygen, to work around oxygen
    preference over air in theme fallback list (see kde rev 987538)

  [ Chris Coulson ]
  * usr-share-kde4/services/searchproviders/google_kubuntu.desktop:
    - Use updated Query URL, and also add a Suggest URL to match
      the default Google search experience
  * share/config/konquerorrc:
    - Set CurrentEngine to google_kubuntu
  * share/config/kuriikwsfilterrc:
    - Add FavoriteSearchEngines to ensure google_kubuntu appears in the
      search-bar list

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Apr 2010 16:14:58 +0100

kubuntu-default-settings (1:10.04ubuntu14) lucid; urgency=low

  [ Harald Sitter ]
  * Only add microblog widget when absolute screen size is >=1024x768

  [ Jonathan Riddell ]
  * Add dependency on plymouth-label
  * Remove unused file kubuntu-feisty-plain.svg.gz

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 01 Apr 2010 22:30:34 +0100

kubuntu-default-settings (1:10.04ubuntu13) lucid; urgency=low

  * Update kubuntu-menu icons to match new logo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 23:28:14 +0100

kubuntu-default-settings (1:10.04ubuntu12) lucid; urgency=low

  * Update branding.svgz with new logo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 22:42:01 +0100

kubuntu-default-settings (1:10.04ubuntu11) lucid; urgency=low

  [ Jonathan Thomas ]
  * Add custom kconfig entry for an upcoming nepomuk patch. If this entry
    is present, Nepomuk will, on the first start, disable strigi if the
    system has less than 1GB of RAM. Users on < 1GB systems can re-enable
    this if they want. Removing this entry will not harm anything, other than
    causing the nepomuk patch to not work
  * Remove custom color scheme. Upstream Oxygen's rocks (LP: #551117)

  [ Richard A. Johnson ]
  * Added new logo for plymouth theme

  [ Jonathan Riddell ]
  * Remove custom font settings in kdeglobals, fontconfig defaults
    should be better

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 00:06:35 +0100

kubuntu-default-settings (1:10.04ubuntu10) lucid; urgency=low

  * Adding plymouth-theme-kubuntu-logo package
    - added debian/plymouth-theme-kubuntu-logo.install

